## librepfunc 1.6.4

=== Makefile ===
#/*******************************************************************************
# * librepfunc - a collection of common functions, classes and tools.
# * See the README file for copyright information and how to reach the author.
# ******************************************************************************/




# reasonable versioning rules:
#   - MAJOR++  -> API-incompatible
#   - MINOR++  -> API-compatible, but new functionality
#   - PATCH++  -> API untouched changes
MAJOR = 1
MINOR = 6
PATCH = 4



LIBRARY = librepfunc.so
LIBRARY_MAJOR = $(LIBRARY).$(MAJOR)
LIBRARY_MINOR = $(LIBRARY_MAJOR).$(MINOR)
LIBRARY_PATCH = $(LIBRARY_MINOR).$(PATCH)
VERSION = $(MAJOR).$(MINOR).$(PATCH)
URL = https://github.com/wirbel-at-vdr-portal/librepfunc






#/******************************************************************************
# * if you prefer verbose non-coloured build messages, remove the '@' here:
# *****************************************************************************/
CXX = @g++
CXXFLAGS += -g -O3 -fPIC -Wall -Wextra -Werror=overloaded-virtual -Wfatal-errors
DEFINES   = -D_POSIX_C_SOURCE


#/******************************************************************************
# * if you are still running a distro, not beeing able to use all valid
# * standard ASCII Characters (32-126) for package names, and prefer to modify
# * packages instead of fixing your broken distro, you may overwrite the
# * package_name here.
# *****************************************************************************/
package_name ?= $(LIBRARY_PATCH)


#/******************************************************************************
# * color definitions, RST=reset, CY=cyan, MG=magenta, BL=blue, (..)
# *****************************************************************************/
RST=\e[0m
CY=\e[1;36m
MG=\e[1;35m
BL=\e[1;34m
YE=\e[1;33m
RD=\e[1;31m
GN=\e[1;32m

#/******************************************************************************
# * programs, override if on different paths.
# *****************************************************************************/
CD              ?= cd
CP              ?= cp
CHMOD           ?= chmod
GIT             ?= git
INSTALL         ?= install
INSTALL_PROGRAM ?= $(INSTALL) -m 755
INSTALL_DATA    ?= $(INSTALL) -m 644
LN              ?= ln
LN_S            ?= $(LN) -s
LN_SF           ?= $(LN) -sf
LN_SFR          ?= $(LN) -sfr
MAKE            ?= make
MKDIR           ?= mkdir
MKDIR_P         ?= ${MKDIR} -p
PKG_CONFIG      ?= pkg-config
RM              ?= rm
SED             ?= sed
SHELL            = /bin/sh
STRIP           ?= strip
TAR             ?= tar
WGET            ?= wget


#/******************************************************************************
# * directories
# *****************************************************************************/
srcdir           = $(shell pwd)
tmpdir          ?= /tmp
prefix          ?= /usr
sysconfdir       = $(prefix)/etc
includedir       = $(prefix)/include
sharedstatedir   = $(prefix)/com
localstatedir    = $(prefix)/var
datarootdir      = $(prefix)/share
exec_prefix     ?= $(prefix)
bindir           = $(exec_prefix)/bin
sbindir          = $(exec_prefix)/sbin
libexecdir       = $(exec_prefix)/libexec
libdir           = $(exec_prefix)/lib
datadir          = $(datarootdir)
docdir           = $(datarootdir)/doc/$(package_name)
infodir          = $(datarootdir)/info
localedir        = $(datarootdir)/locale
mandir           = $(datarootdir)/man
man1dir          = $(mandir)/man1
man2dir          = $(mandir)/man2
man3dir          = $(mandir)/man3
man4dir          = $(mandir)/man4
man5dir          = $(mandir)/man5
pkgconfigdir     = /usr/lib/pkgconfig

SOURCES  := $(sort $(wildcard $(srcdir)/*.cpp))
OBJS      = $(SOURCES:.cpp=.o)
LIBS      =
INCLUDES  = -I$(srcdir)
LDFLAGS  += -shared -pthread
DLL       = $(LIBRARY:.so=.dll)

define PKG_DATA
prefix=$(prefix)
exec_prefix=$${prefix}
includedir=$${prefix}/include
libdir=$${exec_prefix}/lib

Name: librepfunc
Description: tools library for w_scan_cpp and wirbelscan
URL: $(URL)
Version: $(VERSION)
Libs: -L$${libdir} -lrepfunc
Cflags: -I$${includedir}
endef

%.o: %.cpp
ifeq ($(CXX),@g++)
	@echo -e "${BL} CXX $@${RST}"
endif
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<

$(LIBRARY_PATCH): $(OBJS)
ifeq ($(CXX),@g++)
	@echo -e "${GN} LINK $(LIBRARY_PATCH)${RST}"
endif
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -Wl,-soname,$(LIBRARY_MAJOR) $(OBJS) $(LIBS) -o $(LIBRARY_PATCH)

dll: $(DLL)

$(DLL): $(OBJS)
ifeq ($(CXX),@g++)
	@echo -e "${GN} LINK $(DLL)${RST}"
endif
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -Wl,--subsystem,windows,--out-implib,$(DLL).a $(OBJS) $(LIBS) -o $(DLL) 

.PHONY: clean Version.h
clean:
	@$(RM) -f $(OBJS) $(LIBRARY) $(LIBRARY_PATCH) $(DLL) $(DLL).a librepfunc.pc

install: $(LIBRARY_PATCH)
	$(file >librepfunc.pc,$(PKG_DATA))
	$(MKDIR_P) $(DESTDIR)$(libdir)
	$(MKDIR_P) $(DESTDIR)$(includedir)
	$(MKDIR_P) $(DESTDIR)$(docdir)
	$(MKDIR_P) $(DESTDIR)$(man1dir)
	$(MKDIR_P) $(DESTDIR)$(pkgconfigdir)
	$(INSTALL_PROGRAM) $(LIBRARY_PATCH) $(DESTDIR)$(libdir)
	$(INSTALL_DATA) repfunc.h $(DESTDIR)$(includedir)
	$(LN_SFR) $(DESTDIR)$(libdir)/$(LIBRARY_PATCH) $(DESTDIR)$(libdir)/$(LIBRARY_MINOR)
	$(LN_SFR) $(DESTDIR)$(libdir)/$(LIBRARY_MINOR) $(DESTDIR)$(libdir)/$(LIBRARY_MAJOR)
	$(LN_SFR) $(DESTDIR)$(libdir)/$(LIBRARY_MAJOR) $(DESTDIR)$(libdir)/$(LIBRARY)
	$(INSTALL_DATA) CONTRIBUTORS COPYING README $(DESTDIR)$(docdir)
	$(INSTALL_DATA) librepfunc.pc $(DESTDIR)$(pkgconfigdir)

#	$(INSTALL_DATA) doc/librepfunc.1 $(DESTDIR)$(man1dir)

uninstall:
	$(RM) -f $(DESTDIR)$(libdir)/$(LIBRARY_PATCH)
	$(RM) -f $(DESTDIR)$(libdir)/$(LIBRARY_MINOR)
	$(RM) -f $(DESTDIR)$(libdir)/$(LIBRARY_MAJOR)
	$(RM) -f $(DESTDIR)$(libdir)/$(LIBRARY)
	$(RM) -f $(DESTDIR)$(includedir)/repfunc.h
	$(RM) -f $(DESTDIR)$(docdir)/CONTRIBUTORS
	$(RM) -f $(DESTDIR)$(docdir)/COPYING
	$(RM) -f $(DESTDIR)$(docdir)/README
	$(RM) -rf $(DESTDIR)$(docdir)
	$(RM) -f $(DESTDIR)$(man1dir)/librepfunc.1
	$(RM) -f $(DESTDIR)$(pkgconfigdir)/librepfunc.pc



#/******************************************************************************
# * debug
# *****************************************************************************/
printvars:
	@echo "VERSION            = $(VERSION)"
	@echo "LIBRARY            = $(LIBRARY)"
	@echo "CXX                = $(CXX)"
	@echo "CXXFLAGS           = $(CXXFLAGS)"
	@echo "DEFINES            = $(DEFINES)"
	@echo "INCLUDES           = $(INCLUDES)"
	@echo "SOURCES            = $(SOURCES)"
	@echo "OBJS               = $(OBJS)"
	@echo "LIBS               = $(LIBS)"
	@echo "LDFLAGS            = $(LDFLAGS)"

=== debian/changelog ===
librepfunc (1.6.4-1) unstable; urgency=medium

  * Initial release. (Closes: #1023110)

 -- Fab Stz <fabstz-it@yahoo.fr>  Sun, 30 Oct 2022 11:27:11 +0100

=== debian/control ===
Source: librepfunc
Section: libs
Priority: optional
Maintainer: Fab Stz <fabstz-it@yahoo.fr>
Build-Depends: debhelper-compat (= 13)
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/wirbel-at-vdr-portal/librepfunc
Vcs-Git: https://salsa.debian.org/bastif/librepfunc.git
Vcs-Browser: https://salsa.debian.org/bastif/librepfunc

Package: librepfunc1
Architecture: any
Multi-Arch: no
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: set of C++ classes and utilities for building multimedia tools
 This is a collection of utilities and functions used for example in w-scan-cpp
 .
 string related:
  * LowerCase and UpperCase
  * LeftTrim and RightTrim and Trim
  * FrontFill and BackFill
  * ReplaceAll
 .
 vector of string related:
  * SplitStr
 .
 number conversion to string or vice versa
  * IntToStr
  * FloatToStr
  * ExpToStr
  * StrToInt
  + StrToFloat
 .
 print time
  * TimeStr
 .
 other conversions
  * BCDtoDecimal
 .
 sleep threads
  * Sleep, mSleep, uSleep
 .
 print hex data
  * HexDump
 .
 files and directories
  * FileExists
  * cFileList
  * ReadFileToStream
  * ReadFile
  * WriteStreamToFile
  * WriteFile
 .
 start/stop threads from main thread
  * ThreadBase

Package: librepfunc-dev
Section: libdevel
Architecture: any
Multi-Arch: no
Depends: librepfunc1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: set of C++ classes and utilities for building multimedia tools (dev files)
 This is a collection of utilities and functions used for example in w-scan-cpp
 .
 This package contains the files required to build other packages.

=== debian/rules ===
#!/usr/bin/make -f
# You must remove unused comment lines for the released package.
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/dpkg/buildtools.mk

%:
	dh $@

=== debian/watch ===
version=4
opts=repack,repacksuffix=xz,filenamemangle=s/.+\/@ANY_VERSION@\.tar\.gz/@PACKAGE@-$1\.tar\.xz/ \
  https://github.com/wirbel-at-vdr-portal/librepfunc/tags .*/@ANY_VERSION@\.tar\.gz

## librepfunc 1.7.0

=== Makefile ===
--- 
+++ 
@@ -11,8 +11,8 @@
 #   - MINOR++  -> API-compatible, but new functionality
 #   - PATCH++  -> API untouched changes
 MAJOR = 1
-MINOR = 6
-PATCH = 4
+MINOR = 7
+PATCH = 0
 
 
 
@@ -185,6 +185,16 @@
 	$(RM) -f $(DESTDIR)$(man1dir)/librepfunc.1
 	$(RM) -f $(DESTDIR)$(pkgconfigdir)/librepfunc.pc
 
+dist: clean
+	@-$(RM) -rf librepfunc.so*
+	@-$(RM) -rf librepfunc.dll*
+	@-$(RM) -rf *.tar.bz2
+	@-$(RM) -rf $(tmpdir)/$(LIBRARY_PATCH)
+	@$(MKDIR_P) $(tmpdir)/$(LIBRARY_PATCH)
+	@$(CP) -a * $(tmpdir)/$(LIBRARY_PATCH)
+	@$(TAR) cfj $(LIBRARY_PATCH).tar.bz2 -C $(tmpdir) $(LIBRARY_PATCH)
+	@-$(RM) -rf $(tmpdir)/$(LIBRARY_PATCH)
+	@echo Distribution package created as $(LIBRARY_PATCH).tar.bz2
 
 
 #/******************************************************************************

=== debian/changelog ===
librepfunc (1.7.0-1) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.6.2 (no changes needed)
  * d/control: fix typo in long description
  * New upstream version 1.7.0

 -- Fab Stz <fabstz-it@yahoo.fr>  Tue, 20 Jun 2023 22:05:28 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Fab Stz <fabstz-it@yahoo.fr>
 Build-Depends: debhelper-compat (= 13)
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/wirbel-at-vdr-portal/librepfunc
 Vcs-Git: https://salsa.debian.org/bastif/librepfunc.git
 Vcs-Browser: https://salsa.debian.org/bastif/librepfunc
@@ -30,7 +30,7 @@
   * FloatToStr
   * ExpToStr
   * StrToInt
-  + StrToFloat
+  * StrToFloat
  .
  print time
   * TimeStr

## librepfunc 1.8.1

=== Makefile ===
--- 
+++ 
@@ -11,12 +11,13 @@
 #   - MINOR++  -> API-compatible, but new functionality
 #   - PATCH++  -> API untouched changes
 MAJOR = 1
-MINOR = 7
-PATCH = 0
+MINOR = 8
+PATCH = 1
 
 
 
 LIBRARY = librepfunc.so
+LIBRARY_STATIC = $(LIBRARY:.so=.a)
 LIBRARY_MAJOR = $(LIBRARY).$(MAJOR)
 LIBRARY_MINOR = $(LIBRARY_MAJOR).$(MINOR)
 LIBRARY_PATCH = $(LIBRARY_MINOR).$(PATCH)
@@ -33,6 +34,7 @@
 # *****************************************************************************/
 CXX = @g++
 CXXFLAGS += -g -O3 -fPIC -Wall -Wextra -Werror=overloaded-virtual -Wfatal-errors
+CXXFLAGS += -DVERSION=\"$(VERSION)\"
 DEFINES   = -D_POSIX_C_SOURCE
 
 
@@ -59,6 +61,7 @@
 #/******************************************************************************
 # * programs, override if on different paths.
 # *****************************************************************************/
+AR               = @ar
 CD              ?= cd
 CP              ?= cp
 CHMOD           ?= chmod
@@ -74,6 +77,7 @@
 MKDIR           ?= mkdir
 MKDIR_P         ?= ${MKDIR} -p
 PKG_CONFIG      ?= pkg-config
+RANLIB          ?= @ranlib
 RM              ?= rm
 SED             ?= sed
 SHELL            = /bin/sh
@@ -143,6 +147,16 @@
 endif
 	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -Wl,-soname,$(LIBRARY_MAJOR) $(OBJS) $(LIBS) -o $(LIBRARY_PATCH)
 
+$(LIBRARY_STATIC): $(OBJS)
+ifeq ($(AR),@ar)
+	@echo -e "${GN} CREATE $(LIBRARY_STATIC)${RST}"
+endif
+	$(AR) -r -c $(LIBRARY_STATIC) $(OBJS)
+ifeq ($(RANLIB),@ranlib)
+	@echo -e "${GN} RANLIB $(LIBRARY_STATIC)${RST}"
+endif
+	$(RANLIB) $(LIBRARY_STATIC)
+
 dll: $(DLL)
 
 $(DLL): $(OBJS)
@@ -153,7 +167,7 @@
 
 .PHONY: clean Version.h
 clean:
-	@$(RM) -f $(OBJS) $(LIBRARY) $(LIBRARY_PATCH) $(DLL) $(DLL).a librepfunc.pc
+	@$(RM) -f $(OBJS) $(LIBRARY) $(LIBRARY_PATCH) $(LIBRARY_STATIC) $(DLL) $(DLL).a librepfunc.pc
 
 install: $(LIBRARY_PATCH)
 	$(file >librepfunc.pc,$(PKG_DATA))
@@ -169,14 +183,28 @@
 	$(LN_SFR) $(DESTDIR)$(libdir)/$(LIBRARY_MAJOR) $(DESTDIR)$(libdir)/$(LIBRARY)
 	$(INSTALL_DATA) CONTRIBUTORS COPYING README $(DESTDIR)$(docdir)
 	$(INSTALL_DATA) librepfunc.pc $(DESTDIR)$(pkgconfigdir)
-
 #	$(INSTALL_DATA) doc/librepfunc.1 $(DESTDIR)$(man1dir)
+
+install-static: $(LIBRARY_STATIC)
+	$(file >librepfunc.pc,$(PKG_DATA))
+	$(MKDIR_P) $(DESTDIR)$(libdir)
+	$(MKDIR_P) $(DESTDIR)$(includedir)
+	$(MKDIR_P) $(DESTDIR)$(docdir)
+	$(MKDIR_P) $(DESTDIR)$(man1dir)
+	$(MKDIR_P) $(DESTDIR)$(pkgconfigdir)
+	$(INSTALL_DATA) $(LIBRARY_STATIC) $(DESTDIR)$(libdir)
+	$(INSTALL_DATA) repfunc.h $(DESTDIR)$(includedir)
+	$(INSTALL_DATA) CONTRIBUTORS COPYING README $(DESTDIR)$(docdir)
+	$(INSTALL_DATA) librepfunc.pc $(DESTDIR)$(pkgconfigdir)
+#	$(INSTALL_DATA) doc/librepfunc.1 $(DESTDIR)$(man1dir)
+
 
 uninstall:
 	$(RM) -f $(DESTDIR)$(libdir)/$(LIBRARY_PATCH)
 	$(RM) -f $(DESTDIR)$(libdir)/$(LIBRARY_MINOR)
 	$(RM) -f $(DESTDIR)$(libdir)/$(LIBRARY_MAJOR)
 	$(RM) -f $(DESTDIR)$(libdir)/$(LIBRARY)
+	$(RM) -f $(DESTDIR)$(libdir)/$(LIBRARY_STATIC)
 	$(RM) -f $(DESTDIR)$(includedir)/repfunc.h
 	$(RM) -f $(DESTDIR)$(docdir)/CONTRIBUTORS
 	$(RM) -f $(DESTDIR)$(docdir)/COPYING
@@ -186,6 +214,7 @@
 	$(RM) -f $(DESTDIR)$(pkgconfigdir)/librepfunc.pc
 
 dist: clean
+	@-$(RM) -rf $(LIBRARY_STATIC)
 	@-$(RM) -rf librepfunc.so*
 	@-$(RM) -rf librepfunc.dll*
 	@-$(RM) -rf *.tar.bz2
@@ -211,3 +240,5 @@
 	@echo "OBJS               = $(OBJS)"
 	@echo "LIBS               = $(LIBS)"
 	@echo "LDFLAGS            = $(LDFLAGS)"
+	@echo "AR                 = $(AR)"
+	@echo "RANLIB             = $(RANLIB)"

=== debian/changelog ===
librepfunc (1.8.1-1) unstable; urgency=medium

  * New maintainer (Closes: #1052443).
  * Remove cruft and disable verbose in 'd/rules'.
  * Add 'd/upstream/metadata'.
  * Changed VCS field data now repo has moved.

  [ Fab Stz ]
  * refresh patches

  [ Apostolos Kefalas ]
  * New upstream version 1.8.1
  * Add myself as co-maintainer
  * Update d/copyright with myself and year

 -- Apostolos Kefalas <sv1ljj@raag.org>  Fri, 17 Nov 2023 20:53:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: librepfunc
 Section: libs
 Priority: optional
-Maintainer: Fab Stz <fabstz-it@yahoo.fr>
+Maintainer: Phil Wyett <philip.wyett@kathenas.org>
+Uploaders: Apostolos Kefalas <sv1ljj@raag.org>
 Build-Depends: debhelper-compat (= 13)
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://github.com/wirbel-at-vdr-portal/librepfunc
-Vcs-Git: https://salsa.debian.org/bastif/librepfunc.git
-Vcs-Browser: https://salsa.debian.org/bastif/librepfunc
+Vcs-Git: https://salsa.debian.org/kathenas/librepfunc.git
+Vcs-Browser: https://salsa.debian.org/kathenas/librepfunc
 
 Package: librepfunc1
 Architecture: any
@@ -59,7 +60,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: no
-Depends: librepfunc1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: librepfunc1 (= ${binary:Version}), ${misc:Depends}
 Description: set of C++ classes and utilities for building multimedia tools (dev files)
  This is a collection of utilities and functions used for example in w-scan-cpp
  .

## librepfunc 1.9.0

=== Makefile ===
--- 
+++ 
@@ -11,8 +11,8 @@
 #   - MINOR++  -> API-compatible, but new functionality
 #   - PATCH++  -> API untouched changes
 MAJOR = 1
-MINOR = 8
-PATCH = 1
+MINOR = 9
+PATCH = 0
 
 
 
@@ -65,6 +65,7 @@
 CD              ?= cd
 CP              ?= cp
 CHMOD           ?= chmod
+CPPCHECK        ?= cppcheck
 GIT             ?= git
 INSTALL         ?= install
 INSTALL_PROGRAM ?= $(INSTALL) -m 755
@@ -167,7 +168,7 @@
 
 .PHONY: clean Version.h
 clean:
-	@$(RM) -f $(OBJS) $(LIBRARY) $(LIBRARY_PATCH) $(LIBRARY_STATIC) $(DLL) $(DLL).a librepfunc.pc
+	@$(RM) -f $(OBJS) $(LIBRARY)* $(LIBRARY_STATIC) $(DLL) $(DLL).a librepfunc.pc
 
 install: $(LIBRARY_PATCH)
 	$(file >librepfunc.pc,$(PKG_DATA))
@@ -225,6 +226,10 @@
 	@-$(RM) -rf $(tmpdir)/$(LIBRARY_PATCH)
 	@echo Distribution package created as $(LIBRARY_PATCH).tar.bz2
 
+SUPPRESS_CHECK = --suppress=missingIncludeSystem --suppress=unusedFunction --suppress=passedByValue --suppress=constParameterReference
+
+cppcheck:
+	$(CPPCHECK) --enable=all $(SUPPRESS_CHECK) --include=./repfunc.h $(SOURCES) 
 
 #/******************************************************************************
 # * debug

=== examples/Makefile ===
#/*******************************************************************************
# * librepfunc - a collection of common functions, classes and tools.
# * See the README file for copyright information and how to reach the author.
# ******************************************************************************/














#/******************************************************************************
# * if you prefer verbose non-coloured build messages, remove the '@' here:
# *****************************************************************************/
CXX = @g++
CXXFLAGS  = -g -O3 -fPIC -Wall -Wextra -Werror=overloaded-virtual -Wfatal-errors
DEFINES   =
CPPFILES  := $(wildcard *.cpp)
EXAMPLES  = $(CPPFILES:.cpp=_example)

#/******************************************************************************
# * color definitions, RST=reset, CY=cyan, MG=magenta, BL=blue, (..)
# *****************************************************************************/
RST=\e[0m
CY=\e[1;36m
MG=\e[1;35m
BL=\e[1;34m
YE=\e[1;33m
RD=\e[1;31m
GN=\e[1;32m

#/******************************************************************************
# * programs, override if on different paths.
# *****************************************************************************/
CD              ?= cd
CP              ?= cp
CHMOD           ?= chmod
GIT             ?= git
INSTALL         ?= install
INSTALL_PROGRAM ?= $(INSTALL) -m 755
INSTALL_DATA    ?= $(INSTALL) -m 644
LN              ?= ln
LN_S            ?= $(LN) -s
LN_SF           ?= $(LN) -sf
MAKE            ?= make
MKDIR           ?= mkdir
MKDIR_P         ?= ${MKDIR} -p
PKG_CONFIG      ?= pkg-config
RM              ?= rm
SED             ?= sed
SHELL            = /bin/sh
STRIP           ?= strip
TAR             ?= tar
WGET            ?= wget


#/******************************************************************************
# * directories
# *****************************************************************************/
srcdir           = $(shell pwd)
tmpdir          ?= /tmp
prefix          ?= /usr/local
sysconfdir       = $(prefix)/etc
includedir       = $(prefix)/include
sharedstatedir   = $(prefix)/com
localstatedir    = $(prefix)/var
datarootdir      = $(prefix)/share
exec_prefix     ?= $(prefix)
bindir           = $(exec_prefix)/bin
sbindir          = $(exec_prefix)/sbin
libexecdir       = $(exec_prefix)/libexec
libdir           = $(exec_prefix)/lib
datadir          = $(datarootdir)
docdir           = $(datarootdir)/doc/$(package_name)
infodir          = $(datarootdir)/info
localedir        = $(datarootdir)/locale
mandir           = $(datarootdir)/man
man1dir          = $(mandir)/man1
man2dir          = $(mandir)/man2
man3dir          = $(mandir)/man3
man4dir          = $(mandir)/man4
man5dir          = $(mandir)/man5

SOURCES  := $(wildcard $(srcdir)/*.cpp)
#OBJS      = $(SOURCES:.cpp=.o)

LIBS      = -lrepfunc
INCLUDES  = -I./..
LDFLAGS   = -L$(srcdir)/..


%.o: %.cpp
ifeq ($(CXX),@g++)
	@echo -e "${BL} CXX $@${RST}"
endif
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<

%_example:
ifeq ($(CXX),@g++)
	@echo -e "${BL} CXX $@${RST}"
endif
	$(CXX) $(CXXFLAGS) $(DEFINES) $(INCLUDES) $(subst _example,.cpp,$@) -o $@ $(LDFLAGS) $(LIBS)

all: librepfunc.so $(EXAMPLES)

librepfunc.so:
	$(LN_SF) ../librepfunc.so librepfunc.so


.PHONY: clean Version.h
clean:
	@$(RM) -f *_example librepfunc.so

#install: all
#	$(MKDIR_P) $(DESTDIR)$(bindir)
#	$(MKDIR_P) $(DESTDIR)$(docdir)
#	$(MKDIR_P) $(DESTDIR)$(man1dir)
#	$(INSTALL_PROGRAM) $(BINARY) $(DESTDIR)$(bindir)
#	$(INSTALL_DATA) COPYING HISTORY README $(DESTDIR)$(docdir)
#	$(INSTALL_DATA) doc/w_scan_cpp.1 $(DESTDIR)$(man1dir)
#
#uninstall:
#	$(RM) -f $(DESTDIR)$(bindir)/$(BINARY)
#	$(RM) -rf $(DESTDIR)$(docdir)
#	$(RM) -f $(DESTDIR)$(man1dir)/w_scan_cpp.1
#



#/******************************************************************************
# * debug
# *****************************************************************************/
printvars:
	@echo "VERSION            = $(VERSION)"
	@echo "LIBRARY            = $(LIBRARY)"
	@echo "CXX                = $(CXX)"
	@echo "CXXFLAGS           = $(CXXFLAGS)"
	@echo "DEFINES            = $(DEFINES)"
	@echo "INCLUDES           = $(INCLUDES)"
	@echo "SOURCES            = $(SOURCES)"
	@echo "OBJS               = $(OBJS)"
	@echo "LIBS               = $(LIBS)"
	@echo "LDFLAGS            = $(LDFLAGS)"

=== debian/changelog ===
librepfunc (1.9.0-1) unstable; urgency=medium

  [ Phil Wyett ]
  * Change VCS to debian group.

  [ Apostolos Kefalas ]
  * New upstream version 1.9.0
  * Update year in d/copyright

 -- Apostolos Kefalas <sv1ljj@raag.org>  Fri, 23 Feb 2024 19:47:40 +0200

## librepfunc 1.10.0

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 #   - MINOR++  -> API-compatible, but new functionality
 #   - PATCH++  -> API untouched changes
 MAJOR = 1
-MINOR = 9
+MINOR = 10
 PATCH = 0

=== debian/changelog ===
librepfunc (1.10.0-1) unstable; urgency=medium

  * New upstream version 1.10.0

 -- Apostolos Kefalas <sv1ljj@raag.org>  Sun, 17 Mar 2024 12:19:26 +0200

librepfunc (1.9.1-1) unstable; urgency=medium

  * New upstream version 1.9.1

 -- Apostolos Kefalas <sv1ljj@raag.org>  Wed, 06 Mar 2024 16:22:05 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://github.com/wirbel-at-vdr-portal/librepfunc
-Vcs-Git: https://salsa.debian.org/kathenas/librepfunc.git
-Vcs-Browser: https://salsa.debian.org/kathenas/librepfunc
+Vcs-Git: https://salsa.debian.org/debian/librepfunc.git
+Vcs-Browser: https://salsa.debian.org/debian/librepfunc
 
 Package: librepfunc1
 Architecture: any

## librepfunc 1.11.2

=== Makefile ===
--- 
+++ 
@@ -11,8 +11,8 @@
 #   - MINOR++  -> API-compatible, but new functionality
 #   - PATCH++  -> API untouched changes
 MAJOR = 1
-MINOR = 10
-PATCH = 0
+MINOR = 11
+PATCH = 2
 
 
 
@@ -32,7 +32,9 @@
 #/******************************************************************************
 # * if you prefer verbose non-coloured build messages, remove the '@' here:
 # *****************************************************************************/
-CXX = @g++
+Q = @
+
+CXX ?= g++
 CXXFLAGS += -g -O3 -fPIC -Wall -Wextra -Werror=overloaded-virtual -Wfatal-errors
 CXXFLAGS += -DVERSION=\"$(VERSION)\"
 DEFINES   = -D_POSIX_C_SOURCE
@@ -61,7 +63,7 @@
 #/******************************************************************************
 # * programs, override if on different paths.
 # *****************************************************************************/
-AR               = @ar
+AR              ?= ar
 CD              ?= cd
 CP              ?= cp
 CHMOD           ?= chmod
@@ -137,34 +139,34 @@
 endef
 
 %.o: %.cpp
-ifeq ($(CXX),@g++)
+ifeq ($(Q),@)
 	@echo -e "${BL} CXX $@${RST}"
 endif
-	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<
+	$(Q)$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<
 
 $(LIBRARY_PATCH): $(OBJS)
-ifeq ($(CXX),@g++)
+ifeq ($(Q),@)
 	@echo -e "${GN} LINK $(LIBRARY_PATCH)${RST}"
 endif
-	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -Wl,-soname,$(LIBRARY_MAJOR) $(OBJS) $(LIBS) -o $(LIBRARY_PATCH)
+	$(Q)$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -Wl,-soname,$(LIBRARY_MAJOR) $(OBJS) $(LIBS) -o $(LIBRARY_PATCH)
 
 $(LIBRARY_STATIC): $(OBJS)
-ifeq ($(AR),@ar)
+ifeq ($(Q),@)
 	@echo -e "${GN} CREATE $(LIBRARY_STATIC)${RST}"
 endif
-	$(AR) -r -c $(LIBRARY_STATIC) $(OBJS)
-ifeq ($(RANLIB),@ranlib)
+	$(Q)$(AR) -r -c $(LIBRARY_STATIC) $(OBJS)
+ifeq ($(Q),@)
 	@echo -e "${GN} RANLIB $(LIBRARY_STATIC)${RST}"
 endif
-	$(RANLIB) $(LIBRARY_STATIC)
+	$(Q)$(RANLIB) $(LIBRARY_STATIC)
 
 dll: $(DLL)
 
 $(DLL): $(OBJS)
-ifeq ($(CXX),@g++)
+ifeq ($(Q),@)
 	@echo -e "${GN} LINK $(DLL)${RST}"
 endif
-	$(CXX) $(CXXFLAGS) $(LDFLAGS) -Wl,--subsystem,windows,--out-implib,$(DLL).a $(OBJS) $(LIBS) -o $(DLL) 
+	$(Q)$(CXX) $(CXXFLAGS) $(LDFLAGS) -Wl,--subsystem,windows,--out-implib,$(DLL).a $(OBJS) $(LIBS) -o $(DLL) 
 
 .PHONY: clean Version.h
 clean:

=== debian/changelog ===
librepfunc (1.11.2-1) unstable; urgency=medium

  * New upstream version 1.11.2
  * Refresh patches
  * Adopt package. Thanks Phil Wyett! (Closes: #1072194)
  * Bump standards version to 4.7.2 (no changes needed)
  * Set multiarch same

 -- Apostolos Kefalas <sv1ljj@raag.org>  Sat, 27 Dec 2025 14:30:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: librepfunc
 Section: libs
 Priority: optional
-Maintainer: Phil Wyett <philip.wyett@kathenas.org>
-Uploaders: Apostolos Kefalas <sv1ljj@raag.org>
+Maintainer: Apostolos Kefalas <sv1ljj@raag.org>
 Build-Depends: debhelper-compat (= 13)
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/wirbel-at-vdr-portal/librepfunc
 Vcs-Git: https://salsa.debian.org/debian/librepfunc.git
 Vcs-Browser: https://salsa.debian.org/debian/librepfunc
 
 Package: librepfunc1
 Architecture: any
-Multi-Arch: no
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: set of C++ classes and utilities for building multimedia tools
  This is a collection of utilities and functions used for example in w-scan-cpp
